<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    <link rel="stylesheet" href="/stylesheets/ionicons.min.css">
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <link href="http://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
    <link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
    

    <style>
       #map, #dialog {
        height: 1000px;
       }
       #dialog {
         background-color:#fafafa;
       }
       body {
         font-family: Raleway
       }
       #resultTabContent{
        font-size:16px; 
        min-height: 100px; 
        padding:15px;
        border: 1px solid #ddd;
        border-top:none;
       }
       .requestHistoryRow{
         cursor: pointer;
       }
       .nav-tabs>li>a>i{
         color: #1a528b;
         text-decoration: none;
         font-weight: bolder;
         font-size: 20px;
       }
       .no-margin {
         width:100%;
       }
    </style>


  </head>
  <body>
    <div id=""></div>

       <div class="container no-margin">

            <div class="row">

                <div class="col-sm-4" id="dialog">
                </div>
                <div class="col-sm-8" id="map">

                  <ul class="nav nav-tabs" style="margin-top:10px">
                    <li role="presentation" class="active">
                      <a data-toggle="tab" href="#walking">

                        <i class="ion-android-walk"></i>
                      </a>
                    </li>
                    <li role="presentation">
                      <a data-toggle="tab" href="#bicycling">
                        <i class="ion-android-bicycle"></i>
                      </a>
                    </li>
                    <li role="presentation">
                      <a data-toggle="tab" href="#driving">
                        <i class="ion-model-s"></i>
                      </a>
                    </li>
                    <li role="presentation">
                      <a data-toggle="tab" href="#history">
                        <i class="ion-ios-calendar-outline"></i>
                      </a>
                    </li>
                  </ul>

                  <div id="resultTabContent" style="" class="tab-content">
                    <div class="tab-pane fade active in walking" id="walking">Please, click on two points of the map for calculating distance and time</div>
                    <div class="tab-pane fade bicycling" id="bicycling"></div>
                    <div class="tab-pane fade driving" id="driving"></div>
                    <div class="tab-pane fade history_table" id="history"></div>
                  </div>

                </div>

            </div> 

        </div> 

    <div id="myModal" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title">Welcome to Blue Wanderer App!</h4>
                </div>
                <div class="modal-body">
                    <p>Just click on two points of the map and we will calculate distance and estimated duration of the route for different transport modes</p>
                    <p class="text-warning"><small>Also, you have a travel history (last tab). Click in any of the history rows for replay!</small></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Lets move!</button>
                </div>
            </div>
        </div>
    </div>

    <script>

    var markersOnMap = [];
    var map;

    $(document).ready(function(){
  		//$("#myModal").modal('show');
      initMap();   	
      addClickListener();
    });

    function initMap() {
      var bbzgz = {lat: 41.63806556, lng: -0.90280372};
      var bbmanchester = {lat: 53.4804548, lng: -2.234697};
      map = new google.maps.Map(document.getElementById('map'), {
        zoom: 15,
        center: bbzgz,
        mapTypeId: google.maps.MapTypeId.ROADMAP
      });

      var styledMapType = new google.maps.StyledMapType(
          [{"featureType":"all","elementType":"labels.text.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"all","elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#3e606f"},{"weight":2},{"gamma":0.84}]},
          {"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"geometry","stylers":[{"weight":0.6},{"color":"#182a3d"},{"visibility":"on"}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#1a528b"},{"visibility":"simplified"}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#406d80"},{"visibility":"off"}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#2c5a71"}]},{"featureType":"road","elementType":"geometry","stylers":[{"color":"#66a9ee"},{"lightness":-37},{"visibility":"on"}]},{"featureType":"road","elementType":"geometry.fill","stylers":[{"visibility":"on"}]},{"featureType":"road","elementType":"geometry.stroke","stylers":[{"visibility":"off"}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"visibility":"on"}]},{"featureType":"road.highway","elementType":"labels.text","stylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"geometry.stroke","stylers":[{"lightness":"-11"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#ff7e4e"},{"visibility":"simplified"}]},{"featureType":"transit.station.airport","elementType":"geometry","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"geometry","stylers":[{"color":"#182a3d"}]}]
          )
      //Associate the styled map with the MapTypeId and set it to display.
      //map.mapTypes.set('styled_map', styledMapType);
      //map.setMapTypeId('styled_map');
    }



   function addClickListener(){
      google.maps.event.addListener(window.map, 'click', function(event) {

		   if (markersOnMap.length == 2) deleteMarkers();
       addMarker(event.latLng);

    	});
    }


// LOCATION EXAMPLE:
//  var myLatLng = {lat: -25.363, lng: 131.044};



////////////////////////////
////  Markers management: //
////////////////////////////

      // Adds a marker to the map and push to the array.
      function addMarker(location) {

        if (markersOnMap.length == 0) label='A';
        if (markersOnMap.length == 1) label='B';

        window.markerLocation = location;

        var marker = new google.maps.Marker({
          map: map,
          draggable: true,
          label: label,
          animation: google.maps.Animation.DROP,
          position: location
        });
      //  marker.addListener('click', toggleBounce(marker));
        
        markersOnMap.push(marker);
      }


      function toggleBounce(marker) {
        window.marker = marker;
        if (marker.getAnimation() !== null) {
          marker.setAnimation(null);
        } else {
          marker.setAnimation(google.maps.Animation.BOUNCE);
        }
      }

      // Sets the map on all markers in the array.
      function setMapOnAll(map) {
        for (var i = 0; i < markersOnMap.length; i++) {
          markersOnMap[i].setMap(map);
        }
      }

      // Removes the markers from the map, but keeps them in the array.
      function clearMarkers() {
        setMapOnAll(null);
      }

      // Shows any markers currently in the array.
      function showMarkers() {
        setMapOnAll(map);
      }

      // Deletes all markers in the array by removing references to them.
      function deleteMarkers() {
        clearMarkers();
        markersOnMap = [];
      }
///////////////////////////////////
////  END of Markers management //
///////////////////////////////////


    </script>
    <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCull_OMPV77_6NssEYPLFQj496rCaWzNg">
    </script>
  </body>
</html>

